Bug 1348573 - cannot set lp_interval to bond balance-tlb (or alb) mode
Summary: cannot set lp_interval to bond balance-tlb (or alb) mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1299103
TreeView+ depends on / blocked
 
Reported: 2016-06-21 13:25 UTC by Vladimir Benes
Modified: 2016-11-03 19:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:22:58 UTC


Attachments (Terms of Use)
[PATCH] bond: fix typo in lp_interval option name (1.42 KB, patch)
2016-06-21 14:37 UTC, Beniamino Galvani
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Vladimir Benes 2016-06-21 13:25:20 UTC
Description of problem:
Scenario: nmcli - bond - set balance-tlb options
* Add a new connection of type "bond" and options "con-name bond0 ifname nm-bond autoconnect no -- connection.autoconnect-slaves 1 bond.options mode=balance-tlb,tlb_dynamic_lb=0,lp_interval=666"
* Add a new connection of type "ethernet" and options "con-name bond0.1 ifname eth2 master nm-bond autoconnect no"
* Add a new connection of type "ethernet" and options "con-name bond0.0 ifname eth1 master nm-bond autoconnect no"
* Bring "up" connection "bond0"
When "nm-bond:connected:bond0" is visible with command "nmcli -t -f DEVICE,STATE,CONNECTION device" in "20" seconds
Then "0" is visible with command "cat /sys/class/net/nm-bond/bonding/tlb_dynamic_lb"
 And "666" is visible with command "cat /sys/class/net/nm-bond/bonding/lp_interval"
^^^ not sure if 666 is valid option but I tried some values (like 2, 666 and 0x7fffffff) from 
https://www.kernel.org/doc/Documentation/networking/bonding.txt

but none of them works

Version-Release number of selected component (if applicable):
NetworkManager-1.4.0-0.1.git20160606.b769b4df.el7.x86_64

Comment 1 Beniamino Galvani 2016-06-21 14:37:36 UTC
Created attachment 1170304 [details]
[PATCH] bond: fix typo in lp_interval option name

Comment 4 Vladimir Benes 2016-08-17 14:24:12 UTC
new patch works well

Comment 6 errata-xmlrpc 2016-11-03 19:22:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.